com.holonplatform.vaadin.flow.components.builders

## Interface FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>>

- Type Parameters:
    `T` - Value type
    `D` - Datastore data source configurator type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, FilterableSingleSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,C>, FocusableConfigurator<com.vaadin.flow.component.Component,C>, HasAutofocusConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasFilterableDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,String,C>, HasItemCaptionConfigurator<com.holonplatform.core.property.PropertyBox,C>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,C>, HasLabelConfigurator<C>, HasPatternConfigurator<C>, HasPlaceholderConfigurator<C>, HasPropertyBoxDatastoreFilterableDataProviderConfigurator<String,D,C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,C>, ItemSetConfigurator<C>, PropertySelectInputConfigurator<T,T,C>, SelectableInputConfigurator<T,T,C>, SingleSelectableInputConfigurator<T,com.holonplatform.core.property.PropertyBox,C>
  All Known Subinterfaces:
    FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>
  Enclosing interface:
    FilterableSingleSelectConfigurator<T,ITEM,B extends FilterableSingleSelectConfigurator<T,ITEM,B>>

      public static interface FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>>
      extends FilterableSingleSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,C>, HasPropertyBoxDatastoreFilterableDataProviderConfigurator<String,D,C>, PropertySelectInputConfigurator<T,T,C>

  `Property` model based filterable `SingleSelect` input configurator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.FilterableSingleSelectConfigurator

      `FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputConfigurator<T,ITEM,C extends FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputConfigurator<T,ITEM,C>>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C extends FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C>>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D,C>>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>>, FilterableSingleSelectConfigurator.ValidatableDatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.
    `D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, Function<String,com.holonplatform.core.query.QueryFilter> filterConverter)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.
    `<P extends com.holonplatform.core.property.Property> D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, Iterable<P> properties)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
    `default D` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, com.holonplatform.core.property.Property<?>... properties)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FilterableSingleSelectConfigurator

      `create, create, create, create, pageSize, renderer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPropertyBoxDatastoreFilterableDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasFilterableDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemsConfigurator

      `addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertySelectInputConfigurator

      `itemCaptionProperty`

- - ### Method Detail

    - #### dataSource

          default D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                               com.holonplatform.core.datastore.DataTarget<?> target,
                               com.holonplatform.core.property.Property<?>... properties)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `properties` - The property set to use as query projection (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

    - #### dataSource

          <P extends com.holonplatform.core.property.Property> D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                            com.holonplatform.core.datastore.DataTarget<?> target,
                                                                            Iterable<P> properties)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
      Type Parameters:
        `P` - Property type
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `properties` - The property set to use as query projection (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

    - #### dataSource

          D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                       com.holonplatform.core.datastore.DataTarget<?> target)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.

      The query projection property set will be represented by the selection property only.

      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

    - #### dataSource

          D dataSource(com.holonplatform.core.datastore.Datastore datastore,
                       com.holonplatform.core.datastore.DataTarget<?> target,
                       Function<String,com.holonplatform.core.query.QueryFilter> filterConverter)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.

      The query projection property set will be represented by the selection property only.

      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `filterConverter` - Data provider filter type to `QueryFilter` converter (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

Copyright © 2019 The Holon Platform. All rights reserved.